/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package kr.co.kihyun.beans.entity;

//import java.util.List;
//import javax.jdo.PersistenceManager;
//import javax.jdo.Query;
import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.NullValue;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

/**
 *
 * @author Kts
 */
@PersistenceCapable(identityType = IdentityType.APPLICATION)
public class ShareDoc extends MoumiEntity<Long>{
    @PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.NATIVE)
    private Long id;                                //PK
    
    @Persistent(nullValue = NullValue.EXCEPTION)
    private Long docId;                             //문서id
    
    @Persistent(nullValue = NullValue.EXCEPTION)
    private String userId;                          //사용자id
    
    @Persistent(nullValue = NullValue.EXCEPTION)
    private String docReportType;                   //집계제출구분
    
    @Persistent
    private String regId;                           //등록자
    
    @Persistent(nullValue = NullValue.DEFAULT)
    private String delYn = "N";                     //삭제여부
    
    /**
    * @param id
    *            the id to set
    */
    public void setId(Long id) {
            this.id = id;
    }

    /**
     * @return the id
     */
    public Long getId() {
            return id;
    }

    public Long getDocId() {
        return docId;
    }

    public void setDocId(Long docId) {
        this.docId = docId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getDocReportType() {
        return docReportType;
    }

    public void setDocReportType(String docReportType) {
        this.docReportType = docReportType;
    }

    public String getRegId() {
        return regId;
    }

    public void setRegId(String regId) {
        this.regId = regId;
    }

    public String getDelYn() {
        return delYn;
    }

    public void setDelYn(String delYn) {
        this.delYn = delYn;
    }
    
}
